Bug 510100 - Revision number cannot be set (Feat. req. "Set a new revision #")
Revision number cannot be set (Feat. req. "Set a new revision #")
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
0.5
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Red Hat Satellite QA List
:
Depends On:
Blocks: space09
  Show dependency treegraph
 
Reported: 2009-07-07 13:15 EDT by Christoph Sievers
Modified: 2010-05-05 10:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-05 10:56:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Justin Sherrill 2009-07-07 13:17:15 EDT
It is currently not possible to set a revision number on a configuration file
within spacewalk.

Instead the revision number always increases by one (which is harcoded within
the code).

Having more than one spacewalk server brings up questions about how to let
configuration files run through the different development stages (simple
scenario: having development spacewalk and production spacewalk).

d = development
p = production

current situation:

file a has revision 20 in spacewalk d

file a moves to spacewalk p with revision 1

I'd like to be able to set revision 20 on that file a on spacewalk p to provide
a certain grade of consistency between the spacewalks concerning the revision
of the file and the content of the file.

rgds
Christoph Sievers
Comment 2 Justin Sherrill 2010-02-12 17:00:44 EST
663f0cb9c44dfaa49b115537d8989af9a4b0c1d1

added to master
Comment 3 Miroslav Suchý 2010-05-05 10:56:58 EDT
This bug has been fixed in Spacewalk 1.0.
Closing.

Note You need to log in before you can comment on or make changes to this bug.